Package org.apache.commons.math3.analysis

# Interface UnivariateVectorFunction

All Known Subinterfaces:
  `DifferentiableUnivariateVectorFunction`, `UnivariateDifferentiableVectorFunction`

All Known Implementing Classes:
  `HermiteInterpolator`

public interface UnivariateVectorFunction
An interface representing a univariate vectorial function.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`double[]`
`value(double x)`
Compute the value for the function.

## Method Details

### value

double[] value(double x)
Compute the value for the function.

Parameters:
  `x` - the point for which the function value should be computed
Returns:
  the value